Skip to main content
System Management/User Configuration
GETUser ConfigurationSince 4.10.0SynchronousAuth Required

Query Role-Account Relationships

Query Role-Account Relationships

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Whether the query is successful

  • inventoriesListRequired

    For details, see inventories

    • roleUuidStringRequired

      Role UUID

    • accountUuidStringRequired

      Account UUID

    • accountPermissionFromStringRequired

      Source of account permissions. If the account obtained the role by joining an account group, this value is the UUID of that account group. If the account is directly bound to the role, this value is null.

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

  • errorErrorCodeRequired

    Error code. If not null, the operation has failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code number. The globally unique identifier of the error, for example, SYS.1000 or HOST.1001.

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Default is null.

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null.

    • causeErrorCodeRequired

      Root error. The source error that caused the current error. This field is null if no root error exists.

Endpoint

GET/zstack/v1/identities/role-account-refs

/zstack/v1/identities/role-account-refs

Operation ID

QueryRoleAccountRef

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/identities/role-account-refs' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "roleUuid": "686cb963323e491e955a0fd0b49dd743", "accountUuid": "5360250ef145409e862b4e99d2b2efc4", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history